# Uses of Interface
org.github.jamm.FieldFilter

Packages that use FieldFilter
Package
Description
org.github.jamm

## Uses of FieldFilter in org.github.jamm

Subinterfaces of FieldFilter in org.github.jamm
Modifier and Type
Interface
Description
`interface`
`FieldAndClassFilter`
Filter for fields and classes.
Fields in org.github.jamm declared as FieldFilter
Modifier and Type
Field
Description
`static final FieldFilter`
Filters.`IGNORE_CLEANER_FIELDS`
Filter excluding some of the fields from sun.misc.Cleaner as they should not be taken into account.
`static final FieldFilter`
Filters.`IGNORE_NON_STRONG_REFERENCES`
Filter excluding all the Reference's fields and the `head` field of `ReferenceQueue`.
`static final FieldFilter`
Filters.`IGNORE_OUTER_CLASS_REFERENCES`
Filter excluding the outer class reference from non-static inner classes.
`static final FieldFilter`
Filters.`IGNORE_STATIC_AND_PRIMITIVE_FIELDS`
Filter excluding static and primitive fields
`static final FieldFilter`
Filters.`IGNORE_THREAD_FIELDS`
Filter excluding the `group` field from thread classes as that field holds the references to all the other threads from the group to which the thread belongs.
Methods in org.github.jamm that return FieldFilter
Modifier and Type
Method
Description
`static FieldFilter`
Filters.`getFieldFilters(boolean ignoreKnownSingletons, boolean ignoreOuterClassReference, boolean ignoreNonStrongReferences)`
Constructors in org.github.jamm with parameters of type FieldFilter
Modifier
Constructor
Description
``
`MemoryMeter(MemoryMeterStrategy strategy, FieldAndClassFilter classFilter, FieldFilter fieldFilter, MemoryMeterListener.Factory listenerFactory)`
Create a new `MemoryMeter` instance from the different component it needs to measure object graph.